• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

jdk 1.6 but I need to compiler with jdk 1.5

 
Dora Di Donato
Ranch Hand
Posts: 85
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hey guys,
someone can help me, I install on my ubuntu 10 the jdk 1.6 but I need to compile with jdk 1.5.I use eclipse.
How can compiler without unistall the jdk 1.6 if it is possible?

thanks

Dora Di Donato
 
William Brogden
Author and all-around good cowpoke
Rancher
Posts: 13074
6
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Have you looked into the compiler options?

for example, target and source options are quite interesting

Bill
 
Tim Holloway
Saloon Keeper
Posts: 18304
56
Android Eclipse IDE Linux
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
You can install multiple JDKs in Tomcat and assign them to projects on a per-project basis.

However, as William has pointed out, Java has an excellent mechanism for providing legacy support for older versions of Java from newer JDKs. That's a feature that has been part of Java since the beginning, and one of the reasons why I pretty much abandoned less civilized development platforms.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic